hpp-fcl: hpp::fcl::QueryRequest Struct Reference

hpp-fcl 1.7.2 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | List of all members
hpp::fcl::QueryRequest Struct Reference

base class for all query requests More...

`#include <hpp/fcl/collision_data.h>`

Inheritance diagram for hpp::fcl::QueryRequest:

## Public Member Functions
| QueryRequest ()
void | updateGuess (const QueryResult &result)
bool | operator== (const QueryRequest &other) const
| whether two QueryRequest are the same or not More...

## Public Attributes
bool | enable_cached_gjk_guess
| whether enable gjk intial guess More...
Vec3f | cached_gjk_guess
| the gjk intial guess set by user More...
support_func_guess_t | cached_support_func_guess
| the support function intial guess set by user More...
bool | enable_timings
| enable timings when performing collision/distance request More...

## Detailed Description

base class for all query requests

## Constructor & Destructor Documentation

## ◆ QueryRequest()

hpp::fcl::QueryRequest::QueryRequest | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator==()

bool hpp::fcl::QueryRequest::operator== | ( | const QueryRequest & | other | ) | const
| inline

whether two QueryRequest are the same or not

## ◆ updateGuess()

void hpp::fcl::QueryRequest::updateGuess | ( | const QueryResult & | result | ) |
| inline

## Member Data Documentation

## ◆ cached_gjk_guess

Vec3f hpp::fcl::QueryRequest::cached_gjk_guess

the gjk intial guess set by user

## ◆ cached_support_func_guess

support_func_guess_t hpp::fcl::QueryRequest::cached_support_func_guess

the support function intial guess set by user

## ◆ enable_cached_gjk_guess

bool hpp::fcl::QueryRequest::enable_cached_gjk_guess

whether enable gjk intial guess

## ◆ enable_timings

bool hpp::fcl::QueryRequest::enable_timings

enable timings when performing collision/distance request

The documentation for this struct was generated from the following file:

- include/hpp/fcl/collision_data.h